package org.bitbucket.davidm24.mongodb.aggregate;

import java.util.Arrays;
import java.util.List;

/**
 * A utility class to allow concisely constructing {@link List}s.  As noted in {@link org.bson.types.BasicBSONList},
 * MongoDB will create arrays from {@link List}s directly.
 *
 * @since 0.1.2
 */
public class DBL {
    private DBL() {
        // Not intended for construction
    }

    /**
     * Returns a {@link List} containing the specified elements.
     *
     * @since 0.1.2
     */
    public static List<Object> of(Object... elements) {
        return Arrays.asList(elements);
    }
}
